Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.idgenerator
Class IdGenerationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.deegree.io.datastore.DatastoreException
                  org.deegree.io.datastore.idgenerator.IdGenerationException

All Implemented Interfaces:
  Serializable

    public class IdGenerationException

extends DatastoreException

Marks that the generation of an id failed.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`IdGenerationException(String msg)` Creates a new IdGenerationException instance.
`IdGenerationException(String msg, Throwable cause)` Creates a new IdGenerationException instance.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IdGenerationException

    public IdGenerationException(String msg,
                                 Throwable cause)

  Creates a new IdGenerationException instance.

  Parameters:
    `msg` - detail msg
    `cause` - causing exception

### IdGenerationException

    public IdGenerationException(String msg)

  Creates a new IdGenerationException instance.

  Parameters:
    `msg` - detail msg

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org